import 'package:wings_model/index.dart';

abstract class WingsBasePage extends Page {
  WingsBasePage() {
    this.name = getName();
    this.type = getPageType();
    this.effect = initEffect(Effect());
    this.reducer = initReducer(Reducer());
    setConf();
  }

  Effect initEffect(Effect effect) {
    return effect;
  }

  Reducer initReducer(Reducer reducer) {
    return reducer;
  }

  String getName();

  void setConf();

  PageType getPageType();
}
